"GOT", but the "O" is a cute, smiling pufferfish. Index | Thread | Search

From:
Mark Jamsek <mark@jamsek.com>
Subject:
util/got-build-regress.sh: add missing 'W' to optstring
To:
gameoftrees@openbsd.org
Date:
Wed, 01 Jan 2025 23:31:22 +1100

Download raw body.

Thread
As per the subject: I just discovered that we missed adding W to the
optstring when teaching the regress bot about gotwebd's test suite.
And while there, outdent and sort the cases per style(9).

ok?


-----------------------------------------------
commit 32746b62268bce36de0ba78527d8f7d6dfe279b4
from: Mark Jamsek <mark@jamsek.dev>
date: Wed Jan  1 12:22:22 2025 UTC
 
 util/got-build-regress.sh: add missing 'W' to optstring
 
 M  util/got-build-regress.sh  |  1+  1-

1 file changed, 1 insertion(+), 1 deletion(-)

diff 0f35fb6b3d80924fd72c566d007ffb01728f43ba 32746b62268bce36de0ba78527d8f7d6dfe279b4
commit - 0f35fb6b3d80924fd72c566d007ffb01728f43ba
commit + 32746b62268bce36de0ba78527d8f7d6dfe279b4
blob - 5e69e7a41136867e7c6a7becce542178c8034e37
blob + 4478e298d372c93b54e0c97d42815279f8d994a8
--- util/got-build-regress.sh
+++ util/got-build-regress.sh
@@ -24,7 +24,7 @@ gotd=0
 webd=0
 testroot="/tmp"
 
-while getopts b:fGR:r:w: arg; do
+while getopts b:fGR:r:Ww: arg; do
 	case $arg in
 		b)
 			branch="$OPTARG" ;;

-----------------------------------------------
commit 61d2263d7dc1241f3f2e7f4fe40c789bf752381a
from: Mark Jamsek <mark@jamsek.dev>
date: Wed Jan  1 12:22:33 2025 UTC
 
 style(9) whitespace: don't indent the cases
 
 M  util/got-build-regress.sh  |  17+  17-

1 file changed, 17 insertions(+), 17 deletions(-)

diff 32746b62268bce36de0ba78527d8f7d6dfe279b4 61d2263d7dc1241f3f2e7f4fe40c789bf752381a
commit - 32746b62268bce36de0ba78527d8f7d6dfe279b4
commit + 61d2263d7dc1241f3f2e7f4fe40c789bf752381a
blob - 4478e298d372c93b54e0c97d42815279f8d994a8
blob + 75e8023a7f0eac6cc03bc8f4f513739fee8a4bbf
--- util/got-build-regress.sh
+++ util/got-build-regress.sh
@@ -26,23 +26,23 @@ testroot="/tmp"
 
 while getopts b:fGR:r:Ww: arg; do
 	case $arg in
-		b)
-			branch="$OPTARG" ;;
-		f)
-			force=1 ;;
-		G)
-			gotd=1 ;;
-		W)
-			webd=1 ;;
-		w)
-			worktree="$OPTARG" ;;
-		r)
-			fromaddr_arg="-r $OPTARG" ;;
-		R)
-			testroot="$OPTARG" ;;
-		?)
-			echo "usage: $usage" >&2
-			exit 1 ;;
+	b)
+		branch="$OPTARG" ;;
+	f)
+		force=1 ;;
+	G)
+		gotd=1 ;;
+	W)
+		webd=1 ;;
+	w)
+		worktree="$OPTARG" ;;
+	r)
+		fromaddr_arg="-r $OPTARG" ;;
+	R)
+		testroot="$OPTARG" ;;
+	?)
+		echo "usage: $usage" >&2
+		exit 1 ;;
 	esac
 done
 shift $(($OPTIND - 1))

-----------------------------------------------
commit db3d04745ea2f00035da8e199746a88a9c5dff20
from: Mark Jamsek <mark@jamsek.dev>
date: Wed Jan  1 12:22:57 2025 UTC
 
 style(9): sort got-build-regress.sh getopts cases
 
 M  util/got-build-regress.sh  |  4+  4-

1 file changed, 4 insertions(+), 4 deletions(-)

diff 61d2263d7dc1241f3f2e7f4fe40c789bf752381a db3d04745ea2f00035da8e199746a88a9c5dff20
commit - 61d2263d7dc1241f3f2e7f4fe40c789bf752381a
commit + db3d04745ea2f00035da8e199746a88a9c5dff20
blob - 75e8023a7f0eac6cc03bc8f4f513739fee8a4bbf
blob + 5ff187a85ccac41b655387b80eb8ad5a1a2b412a
--- util/got-build-regress.sh
+++ util/got-build-regress.sh
@@ -32,14 +32,14 @@ while getopts b:fGR:r:Ww: arg; do
 		force=1 ;;
 	G)
 		gotd=1 ;;
+	R)
+		testroot="$OPTARG" ;;
+	r)
+		fromaddr_arg="-r $OPTARG" ;;
 	W)
 		webd=1 ;;
 	w)
 		worktree="$OPTARG" ;;
-	r)
-		fromaddr_arg="-r $OPTARG" ;;
-	R)
-		testroot="$OPTARG" ;;
 	?)
 		echo "usage: $usage" >&2
 		exit 1 ;;


-- 
Mark Jamsek <https://bsdbox.org>
GPG: F2FF 13DE 6A06 C471 CA80  E6E2 2930 DC66 86EE CF68